Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.e2e.b2b.processors
Class AbstractProcessor

    java.lang.Object
      |
      +--com.bea.portal.appflow.processor.AbstractPortalProcessor
            |
            +--examples.e2e.b2b.processors.AbstractProcessor

Direct Known Subclasses:
  InventorySummary, NoOp, PartInventory, POProcessor, POStatusProcessor, Process, ProductInventory, QpaProcessor, QuoteProcessor, SessionInitialization

public abstract class AbstractProcessor
extends AbstractPortalProcessor
implements JspConstants

An abstract base class for constructing portal processors for the b2b portal.

Constructor Summary
`AbstractProcessor()` Constructs a processor.

Method Summary
`protected static PortalAppflowEvent` | `getAppflowEvent(PortalRequest pRequest)`
`static InventoryProvider` | `getInventoryProvider()` Obtain an `InventoryProvider` EJB.
`protected static java.util.List` | `getParts(Inventory product)`
`protected static PipelineSession` | `getPipelineSession(javax.servlet.http.HttpServletRequest request)`
`protected static java.lang.String` | `getPortalEvent(PortalRequest pRequest)`
`protected static java.lang.String` | `getPortletEvent(javax.servlet.http.HttpServletRequest request)`
`protected static java.util.List` | `getProducts(java.util.List idList)`
`static PurchaseManager` | `getPurchaseManager()` Obtain a `PurchaseManager` EJB.
`protected static RequestState` | `getRequestState(PipelineSession session, java.lang.Object requestContext)`
`protected static SessionState` | `getSessionState(PipelineSession session)`
`protected java.util.Calendar` | `getTimeoutCalendar(java.util.Calendar currentTime, long timeoutSeconds)`
`protected static boolean` | `isPortletMaximized(PortalRequest portalRequest)`
`java.lang.Object` | `process(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, PortalRequest portalRequest, java.lang.Object requestContext)` This method will be called if the processor is session insensitive or the session has not timed-out.
`abstract java.lang.Object` | `process(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, PortalRequest portalRequest, java.lang.Object requestContext, PipelineSession session, RequestState requestState, SessionState sessionState)` Processors extending this class must provide an implementation.
`protected static void` | `submitPO(PurchaseQuote quote)`
`protected static void` | `submitQPA(QPA qpa)`

Methods inherited from class com.bea.portal.appflow.processor.AbstractPortalProcessor
`getCurrentPortletState, process`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractProcessor

    public AbstractProcessor()

  Constructs a processor.

Method Detail

### process

    public abstract java.lang.Object process(javax.servlet.http.HttpServletRequest request,
                                             javax.servlet.http.HttpServletResponse response,
                                             PortalRequest portalRequest,
                                             java.lang.Object requestContext,
                                             PipelineSession session,
                                             RequestState requestState,
                                             SessionState sessionState)
                                      throws ProcessingException

  Processors extending this class must provide an implementation.

  Parameters:
    `request` - an `HttpServletRequest` to process.
    `response` - the `HttpServletRequest` associated with the request.
    `portalRequest` - the ``PortalRequest`` associated with this http request.
    `requestContext` - the webflow request context.
    `session` - the ``PipelineSession`` object associated with this request.
    `requestState` - the `RequestState` associated with this http request.
    `sessionState` - the `SessionState` associated with this user session.

### process

    public java.lang.Object process(javax.servlet.http.HttpServletRequest request,
                                    javax.servlet.http.HttpServletResponse response,
                                    PortalRequest portalRequest,
                                    java.lang.Object requestContext)
                             throws ProcessingException

  This method will be called if the processor is session insensitive or the session has not timed-out. This method calls the `process( HttpServletRequest, HttpServletResponse, PortalRequest, Object, PipelineSession, RequestState, SessionState )` method of its concrete subclass and also provides logging and debugging functionality.

  Parameters:
    `request` - the `HttpServletRequest` to process.
    `response` - the `HttpServletResponse` associated with the request.
    `portalRequest` - the ``PortalRequest`` associated with this http request.
    `requestContext` - the webflow request context.
  Overrides:
    process in class AbstractPortalProcessor
  See Also:
    `PipelineSession`

### getRequestState

    protected static RequestState getRequestState(PipelineSession session,
                                                  java.lang.Object requestContext)
                                           throws ProcessingException

### getSessionState

    protected static SessionState getSessionState(PipelineSession session)
                                           throws ProcessingException

### getPipelineSession

    protected static PipelineSession getPipelineSession(javax.servlet.http.HttpServletRequest request)

### getAppflowEvent

    protected static PortalAppflowEvent getAppflowEvent(PortalRequest pRequest)

### getPortalEvent

    protected static java.lang.String getPortalEvent(PortalRequest pRequest)

### getPortletEvent

    protected static java.lang.String getPortletEvent(javax.servlet.http.HttpServletRequest request)

### isPortletMaximized

    protected static boolean isPortletMaximized(PortalRequest portalRequest)

### getInventoryProvider

    public static InventoryProvider getInventoryProvider()
                                                  throws java.rmi.RemoteException,
                                                         javax.ejb.CreateException,
                                                         javax.naming.NamingException

  Obtain an `InventoryProvider` EJB.

### getPurchaseManager

    public static PurchaseManager getPurchaseManager()
                                              throws java.rmi.RemoteException,
                                                     javax.ejb.CreateException,
                                                     javax.naming.NamingException

  Obtain a `PurchaseManager` EJB.

### getProducts

    protected static java.util.List getProducts(java.util.List idList)
                                         throws E2EProcessingException

### getParts

    protected static java.util.List getParts(Inventory product)
                                      throws E2EProcessingException

### submitQPA

    protected static void submitQPA(QPA qpa)
                             throws E2EProcessingException

### submitPO

    protected static void submitPO(PurchaseQuote quote)
                            throws E2EProcessingException

### getTimeoutCalendar

    protected java.util.Calendar getTimeoutCalendar(java.util.Calendar currentTime,
                                                    long timeoutSeconds)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved